.text-ellipsis-150 {
    display: block;
    max-width: 150px;
    overflow: hidden;
    text-overflow: ellipsis;
}
.text-ellipsis-row-2,
.text-ellipsis-row-2 > * {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
}
.text-ellipsis-row-1,
.text-ellipsis-row-1 > * {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
}
.no-dropdown-arrow::after {
    display: none;
}
.sidebar #footer {
    margin-left: 0px !important;
}
.card .card-body h1 {
    font-size: 24px;
    font-weight: normal;
}
.card .card-body h2 {
    font-size: 20px;
    font-weight: normal;
}
.card .card-body h3 {
    font-size: 18px;
    opacity: 0.8;
    font-weight: normal;
}
.disabled {
    pointer-events: none;
}
.badge {
    font-size: 14px;
    padding: 0.5rem;
    font-weight: normal;
}
.fs-16 {
    font-size: 16px;
}
.fs-24 {
    font-size: 24px;
}
/* Profile account changer */
.profile-account img {
    width: 40px;
    height: 40px;
}
.profile-account h1 {
    font-size: 16px !important;
}
.profile-account h2 {
    font-size: 16px !important;
}
.profile-account h3 {
    font-size: 14px !important;
}
/* scrollable navtabs */
.nav-tabs {
    flex-wrap: nowrap;
    overflow-x: auto;
    overflow-y: hidden;
}
.nav-tabs .nav-link {
    text-wrap: nowrap;
}
/* Rounded */
.rounded-bottom {
    border-bottom-right-radius: var(--bs-border-radius) !important;
    border-bottom-left-radius: var(--bs-border-radius) !important;
    border-top-left-radius: 0px !important;
    border-top-right-radius: 0px !important;
}
/* Buttons cursor */
.cursor {
    transition: all 150ms ease-in;
}
.cursor:hover {
    opacity: 0.5;
}
.cursor-pointer {
    cursor: pointer;
}
/* News */
.news-creating-list .list-item {
    background-color: rgba(20, 20, 20, 0.7) !important;
    background-size: cover !important;
    background-repeat: no-repeat !important;
    background-position: center !important;
    background-blend-mode: darken !important;
}
/* Toast */
#toast-container .toast {
    opacity: 1;
}
/* Datatable */
.datatable-dropdown,
.datatable-search {
    margin-bottom: 10px;
}
.datatable-dropdown select,
.datatable-search input {
    padding: 5px;
    border-radius: 7px;
    border: 1px solid #373737;
}
.dt-scroll-headInner,
.dt-scroll-headInner .table {
    width: 100% !important;
}
.no-sort .dt-column-order {
    display: none !important;
}
.dt-buttons,
.dt-length {
    text-align: left !important;
}
.dt-buttons {
    margin-left: -12px;
}
.datatable tr td:nth-child(1) {
    width: 1%;
    cursor: pointer;
}
.dt-container > div:nth-child(2) {
    overflow-x: auto;
}
.datatable thead tr th {
    text-align: left !important;
}
.datatable thead tr th:nth-child(1) {
    text-align: center !important;
    text-wrap: nowrap;
}
/* Quill Editor */
.ql-editor {
    min-height: 200px;
}
/* Overview */
.overview .row {
    margin-bottom: 20px;
    font-size: 15px;
}

.overview .card-title {
    color: #012970;
}

.overview .label {
    font-weight: 600;
    color: rgba(1, 41, 112, 0.6);
}
/* Object Fit */
.object-position-center {
    object-position: center center;
}
/* Transition */
.transition-150 {
    transition: all 150ms ease;
}
/* Disable */
.disable {
    opacity: 0.5;
    pointer-events: none;
}
/* Mobile Device */
@media only screen and (max-width: 575.98px) {
    #main {
        padding: 0px;
    }
    #main .card {
        border-radius: 0px !important;
        margin-bottom: 0;
        box-shadow: none;
    }
    #main .card {
        /* border-bottom: 1px solid rgba(23, 23, 23, 0.2); */
    }
    #main .pagetitle {
        padding: 15px;
        background-color: #fff;
        margin-bottom: 0px;
        /* border-bottom: 1px solid rgba(23, 23, 23, 0.2); */
    }
    #main .pagetitle ol {
        margin-bottom: 0px;
    }
    .toggle-sidebar-btn {
        /* display: none; */
    }
    .profile-account-wrapper {
        background-color: #fff;
        flex-direction: column !important;
        gap: 0 !important;
        padding-bottom: 20px;
    }
    .profile-account {
        padding: 10px 20px;
    }
    .profile-account .profile-card {
        background-color: #f6f9ff;
        border: 1px solid rgba(20, 20, 20, 0.2);
        border-radius: 7px 7px 0px 0px;
    }
}

/* Loading sending */
.send-loading {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    z-index: 9999;

    width: 100%;
    height: 100vh;

    display: flex;
    gap: 10px;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    background: #ffffff6f;
    backdrop-filter: blur(2px);
}
.send-loading.fullpage {
    position: fixed !important;
}
.send-loading p {
    margin: 0;
    padding: 0;
}
/* HTML: <div class="loader"></div> */
.loader {
    width: 30px;
    height: 30px;
    color: #000000;
    background: conic-gradient(
            from -45deg at top 15px left 50%,
            #0000,
            currentColor 1deg 90deg,
            #0000 91deg
        ),
        conic-gradient(
            from 45deg at right 15px top 50%,
            #0000,
            currentColor 1deg 90deg,
            #0000 91deg
        ),
        conic-gradient(
            from 135deg at bottom 15px left 50%,
            #0000,
            currentColor 1deg 90deg,
            #0000 91deg
        ),
        conic-gradient(
            from -135deg at left 15px top 50%,
            #0000,
            currentColor 1deg 90deg,
            #0000 91deg
        );
    animation: l4 1.5s infinite cubic-bezier(0.3, 1, 0, 1);
}
@keyframes l4 {
    50% {
        width: 50px;
        height: 50px;
        transform: rotate(180deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

.loading-screen {
    width: 100vw;
    height: 100vh;
    background: #ffffff6f;
    backdrop-filter: blur(2px);
    overscroll-behavior: contain;
    position: fixed;
    top: 0;
    z-index: 9999999;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}
